@import './variables';

// Menu {
// 	background-color: lightblue;
// }
/* Position and sizing of burger button */
.bm-burger-button {
	position: fixed;
	width: 36px;
	height: 30px;
	left: 36px;
	top: 36px;
}

/* Color/shape of burger icon bars */
.bm-burger-bars {
	background: $primary-color;
}

/* Color/shape of burger icon bars on hover*/
.bm-burger-bars-hover {
	background: black;
}

/* Position and sizing of clickable cross button */
.bm-cross-button {
	height: 24px;
	width: 24px;
}

/* Color/shape of close button cross */
.bm-cross {
	background: white;
}

/*
Sidebar wrapper styles
Note: Beware of modifying this element as it can break the animations - you should not need to touch it in most cases
*/
.bm-menu-wrap {
	position: fixed;
	height: 100%;
}

/* General sidebar styles */
.bm-menu {
	background: $primary-color;
	padding: 2.5em 1.5em 0;
	font-size: 1.15em;
}

/* Morph shape necessary with bubble or elastic */
.bm-morph-shape {
	fill: $primary-color;
}

/* Wrapper for item list */
.bm-item-list {
	color: white;
}

/* Individual item */
.bm-item {
	display: inline-block;

	/* Our sidebar item styling */
	text-decoration: none;
	margin-bottom: 10px;
	color: white;
	transition: color 0.2s;
}

/* Styling of overlay */
.bm-overlay {
	background: rgba(0, 0, 0, 0.3);
}
